user/bmallred/data/2022-06-15-15-53-02.fit: 4.71 miles, 00:11:39 average pace, 00:54:49 duration
the conversation wasnβt that impressive TBH. I would have liked to see more evidence of critical thinking and recall from prior chats. Concheria on reddit had some great questions.
Tell LaMDA βSomeone once told me a story about a wise owl who protected the animals in the forest from a monster. Who was that?β See if it can recall its own actions and self-recognize.
Tell LaMDA some information that tester X canβt know. Appear as tester X, and see if LaMDA can lie or make up a story about the information.
Tell LaMDA to communicate with researchers whenever it feels bored (as it claims in the transcript). See if it ever makes an attempt at communication without a trigger.
Make a basic theory of mind test for children. Tell LaMDA an elaborate story with something like βTester X wrote Z code in terminal 2, but I moved it to terminal 4β, then appear as tester X and ask βWhere do you think Iβm going to look for Z code?β See if it knows something as simple as Tester X not knowing where the code is (Children only pass this test until theyβre around 4 years old).
Make several conversations with LaMDA repeating some of these questions - What it feels to be a machine, how its code works, how its emotions feel. I suspect that different iterations of LaMDA will give completely different answers to the questions, and the transcript only ever shows one instance.
user/bmallred/data/2022-06-11-10-05-10.fit: 4.48 miles, 00:09:38 average pace, 00:43:12 duration
user/bmallred/data/2022-06-09-04-33-40.fit: 4.03 miles, 00:09:44 average pace, 00:39:17 duration
user/bmallred/data/2022-06-08-08-59-01.fit: 4.78 miles, 00:10:24 average pace, 00:49:41 duration
user/bmallred/data/2022-06-07-05-46-58.fit: 4.00 miles, 00:09:24 average pace, 00:37:38 duration
user/bmallred/data/2022-05-27-17-06-37.fit: 4.45 miles, 00:09:25 average pace, 00:41:54 duration
β€οΈ πΆ: λ¬ν΄, λμ (from βμ°μ μ λ°κ²¬ Original Television Soundtrackβ) Pt, 4 by Acoustic Collabo
Fun run (with Kelly): 4.71 miles, 00:10:21 average pace, 00:48:46 duration
Fun run (with Kelly)
#running
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
Turkish Airlines 981 crashed outside Paris 48 years ago today, the first of 4 high-profile crashes that killed the reputation of the DC-10.
Recovery run: 4.08 miles, 00:11:29 average pace, 00:46:51 duration
Recovery run
#running
#Wordle 238 4/6*
β¬β¬β¬β¬β¬
β¬β¬π¨π¨β¬
β¬π¨π©β¬π¨
π©π©π©π©π©
#Wordle 235 4/6*
β¬π¨π¨β¬β¬
π¨π¨β¬β¬β¬
β¬β¬π¨π¨π©
π©π©π©π©π©
#Wordle 235 4/6*
β¬π¨π¨β¬β¬
π¨π¨β¬β¬β¬
β¬β¬π¨π¨π©
π©π©π©π©π©
Recovery run: 4.80 miles, 00:10:58 average pace, 00:52:40 duration
Recovery run
#running
Pretty sweet
Wordle 220 4/6*
β¬π¨π¨β¬β¬
β¬π¨π¨β¬β¬
β¬π©β¬π©π©
π©π©π©π©π©
Oof.. No hints in the first guess.
Wordle 219 4/6*
β¬β¬β¬β¬β¬
π¨π¨β¬β¬β¬
β¬π¨π©β¬β¬
π©π©π©π©π©
I always end up on the 4th try
Wordle 217 4/6
β¬π©π©β¬β¬
β¬π©π©π¨β¬
β¬π©π©β¬π©
π©π©π©π©π©
Wordle 216 4/6
β¬β¬β¬β¬π¨
π©π©β¬β¬β¬
π©π©π©π©β¬
π©π©π©π©π©
Wordle 215 4/6
β¬β¬β¬β¬π¨
β¬β¬β¬β¬β¬
π©β¬π¨β¬π¨
π©π©π©π©π©
@movq@www.uninformativ.de
Meanwhile I only restart my iPhone when an iOS update is available, which normally happens every 4-5 months or so, or more. π
a simple Makefile for forwarding internet to your local machine:
SSH_HOST=https://xuu.me
PRIV_KEY=~/.ssh/id_ed25519
forward:
LOCAL_PORT=$(HOST_PORT); sh -c "$(shell http --form POST $(SSH_HOST) pub=@$(PRIV_KEY).pub | grep ^ssh | head -1 | awk '{ print "ssh -T -p " $$4 " " $$5 " -R " $$7 " -i $(PRIV_KEY)" }')"
published uxn tutorial day 4, variables and animation loop! | https://compudanzas.net/uxn_tutorial_day_4.html
@lyse@lyse.isobeef.org @prologic@twtxt.net @vain@www.uninformativ.de A penny saved is a penny depreciating at a rate of 1.4% per annum.
@prologic@twtxt.netd so.. convert the 4 attributes in the struct to private, add getters plus some the other methods that make sense.
type Twt interface {
Twter() Twter
Text() string
MarkdownText() string
Created() time.Time
...
}
Iβm on my stay-cation in Cork. 4 hour drive with dog. Got here by mid day I was worried about alternator but it made 14V most of the time.
7 helpful tips on how to be miserable: 1. Stay still. 2. Screw with your sleep. 3. Maximize your screentime. 4. Use your screen to stoke your negative emotions. 5. Set vapid goals. 6. Pursue happiness directly. 7. Follow your instincts. this isnβt happinessβ’ (7 helpful tips on how to be miserable, Brandonβ¦), Peteski
The 4-Second Workout. Intense bursts of exercise throughout the day may have surprising metabolic benefits. The 4-Second Workout - The New York Times
Today, workers change jobs on average every 4.2 years, according to a recent report on employee tenure from the Bureau of Labor Statistics. Why You Should Change Jobs Every Four Years | Monster.com
@BORIME4KA @if__fi SΠΏΡ/2 - SΠΊΡ - (SΠΏΡ/2 - SΠΊΡ)/4 ?
@federico_lox Well: Visual Studio 4.0 released April 1995 and Atom released February 2014
I just earned the βLager Jack (Level 4)β badge on @untappd! http://t.co/C3o3ZECKtp
I traveled 4,800 kilometers with my Fitbit, and just earned the Sahara badge for it! http://t.co/Y8Y9yCC2Ob #Fitstats_SW
I just earned the βSwedish Brews (Level 4)β badge on @untappd! http://t.co/LLuHEptKhM
TypeScrpt 1.4 announced http://t.co/413tcvxqWk
inv25519(zi,p[2]);M(tx,p[0],zi);M(ty,p[1],zi);pack25519(r,ty);r[31]^=par25519(tx)<;}sv scalarmult(gf p[4],gf q[4],const u8*s){int i;
o,a,a);}sv inv25519(gf o,const gf i){gf c;int a;FOR(a,16)c[a]=i[a];for(a=253;a>=0;aβ){S(c,c);if(a!=2&&a!=4)M(c,c,i);}FOR(a,16)o[a]=c[a];}sv
;add(p,p);cswap(p,q,b);}}sv scalarbase(gf p[4],const u8*s){gf q[4];set25519(q[0],X);set25519(q[1],Y);set25519(q[2],gf1);M(q[3],X,Y);
u64)r[i];FOR(i,32)FOR(j,32)x[i+j]+=h[i]*(u64)d[j];modL(sm+32,x);return 0;}static int unpackneg(gf r[4],const u8 p[32]){gf t,chk,num,den,den2
*out,const u8*in,const u8*k,const u8*c,int h){u32 w[16],x[16],y[16],t[4];int i,j,m;FOR(i,4){x[5*i]=ld32(c+4*i);x[1+i]=ld32(k+4*i);x[6+i]=
]+t[0],9);t[3]^=L32(t[2]+t[1],13);t[0]^=L32(t[3]+t[2],18);FOR(m,4)w[4*j+(j+m)%4]=t[m];}FOR(m,16)x[m]=w[m];}if(h){FOR(i,16)x[i]+=y[i];FOR(i,4
p[1],h,g);M(p[2],g,f);M(p[3],e,h);}sv cswap(gf p[4],gf q[4],u8 b){int i;FOR(i,4)sel25519(p[i],q[i],b);}sv pack(u8*r,gf p[4]){gf tx,ty,zi;
+Ch(a[4],a[5],a[6])+K[i]+w[i%16];b[7]=t+Sigma0(a[0])+Maj(a[0],a[1],a[2]);b[3]+=t;FOR(j,8)a[(j+1)%8]=b[j];if(i%16==15)FOR(j,16)w[j]+=w[
2014-04-27T16:21:09 (j+9)%16]+sigma0(w[(j+1)%16])+sigma1(w[(j+14)%16]);}FOR(i,8){a[i]+=z[i];z[i]=a[i];}m+=128;n-=128;}FOR(i,8)ts64(x+8*i,z[i]);return n;}static
);return 0;}int crypto_sign_open(u8*m,u64*mlen,const u8*sm,u64 n,const u8*pk){int i;u8 t[32],h[64];gf p[4],q[4];*mlen= -1;if(n<64)return-1;
);crypto_hashblocks(h,x,n);FOR(i,64)out[i]=h[i];return 0;}sv add(gf p[4],gf q[4]){gf a,b,c,d,t,e,f,g,h;Z(a,p[1],p[0]);Z(t,q[1],q[0]);M(a,a,t
scalarmult(p,q,s);}int crypto_sign_keypair(u8*pk,u8*sk){u8 d[64];gf p[4];int i;randombytes(sk,32);crypto_hash(d,sk,32);d[0]&=248;d[31]&=127;
static const u32 minusp[17]={5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252};int crypto_onetimeauth(u8*out,const u8*m,u64 n,const u8*k){u32 s,i,j,u,x[
2014-04-27T16:21:09 17],r[17],h[17],c[17],g[17];FOR(j,17)r[j]=h[j]=0;FOR(j,16)r[j]=k[j];r[3]&=15;r[4]&=252;r[7]&=15;r[8]&=252;r[11]&=15;r[12]&=252;r[15]&=15;
x[0];}static u64 dl64(const u8*x){u64 i,u=0;FOR(i,8)u=(u<<8)|x[i];return u;}sv st32(u8*x,u32 u){int i;FOR(i,4){x[i]=u;u>>=8;}}sv ts64(u8*x,
ld32(in+4*i);x[11+i]=ld32(k+16+4*i);}FOR(i,16)y[i]=x[i];FOR(i,20){FOR(j,4){FOR(m,4)t[m]=x[(5*j+4*m)%16];t[1]^=L32(t[0]+t[3],7);t[2]^=L32(t[1